Rysunek Roboczy: Elipsa

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Ellipse.svg Draft: Elipsa

Lokalizacja w menu
Kreślenie → Elipsa
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
E L
Wprowadzono w wersji
0.7
Zobacz także
brak

Opis

Polecenie Draft Ellipse.svg Elipsa tworzy elipsę w bieżącej płaszczyźnie roboczej z dwóch punktów definiujących prostokąt, w którym zmieści się elipsa.

Rysunek elipsy można przekształcić w łuk eliptyczny, ustawiając jego właściwości DANEKąt Pierwszy i DANEKąt Ostatni na odmienne wartości.

Draft ellipse example.jpg

Elipsa zdefiniowana przez narożniki prostokąta

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Ellipse.svg Elipsa.
    • Wybierz z menu opcję Kreślenie → Draft Ellipse.svg Elipsa.
    • Użyj skrótu klawiaturowego: E, a następnie L.
  2. Otworzy się panel zadań Elipsa. Zobacz Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Wprowadź punkt. Ten punkt nie może być związany z osią X, Y lub Z.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne, wprowadź składowe X, Y i Z, i naciśnij Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor z okna widoku 3D.
  • Naciśnij klawisz R lub kliknij pole wyboru Względnie, aby przełączyć tryb względny. Jeśli tryb względny jest włączony, współrzędne drugiego punktu są odniesione do pierwszego punktu, w przeciwnym razie są one odniesione do początku układu współrzędnych.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są zależne od globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz L lub kliknij pole wyboru Wypełnienie, aby przełączyć tryb wypełnienia. Jeśli tryb wypełnienia jest włączony, utworzona elipsa będzie miała właściwość DANEUtwórz ścianę ustawioną na wartość true i będzie miała wypełnioną powierzchnię.
  • Naciśnij klawisz T lub kliknij pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu, umożliwiając dalsze tworzenie elips.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij przycisk Esc lub przycisk Zamknij, aby przerwać wykonywanie polecenia.

Uwagi

  • Elipsę szkicu można edytować za pomocą polecenia Edycja.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania współrzędnych: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić wartość początkową trybu wypełnienia: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Wypełniaj obiekty powierzchniami, gdy tylko jest to możliwe. Zmiana trybu wypełnienia w panelu zadań spowoduje nadpisanie tych preferencji dla bieżącej sesji programu FreeCAD.
  • Jeśli opcja Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Używaj elementów pierwotnych, gdy jest to możliwe jest zaznaczona, polecenie utworzy Elipsę środowiska Część, zamiast środowiska Rysunek Roboczy.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Elipsa wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEObszar: (tylko do odczytu) określa pole powierzchni lica elipsy. Wartość będzie równa 0.0, jeśli DANEUtwórz ścianę ma wartość false lub powierzchnia nie może zostać utworzona.
  • DANEKąt pierwszy: określa kąt pierwszego punktu elipsy, zwykle .
  • DANEKąt ostatni: określa kąt ostatniego punktu elipsy, zwykle .
  • DANEPromień główny: określa promień główny elipsy.
  • DANEUtwórz ścianę: określa, czy elipsa ma tworzyć ścianę, czy nie. Jeśli ma wartość true tworzona jest powierzchnia, w przeciwnym razie tylko obwód jest traktowany jako część obiektu. Ta właściwość działa tylko jeśli kształt jest pełną elipsą.
  • DANEPromień mniejszy: określa promień mniejszy elipsy.

Widok

Rysunek Roboczy

  • WIDOKWzór: określa wzór, którym ma być wypełniona powierzchnia elipsy. Ta właściwość działa tylko wtedy, gdy DANEUtwórz ścianę ma wartość true i gdy WIDOKTryb wyświetlania ma wartość Linie płaskie.
  • WIDOKRozmiar wzoru: określa rozmiar wzoru.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć Elipsę użyj metody make_ellipse modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeEllipse.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Tworzy obiekt ellipse o podanym promieniu głównym (majradius) i małym (minradius) w milimetrach.
    • Większa wartość zostanie użyta dla promienia głównego (oś X), jeśli nie zostanie podane inne umiejscowienie.
  • Jeśli placement ma wartość None, elipsa zostanie utworzona w punkcie początkowym.
  • Jeśli face ma wartość True, elipsa zostanie utworzona jako powierzchnia, czyli będzie wyglądać na wypełnioną.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()